summaryrefslogtreecommitdiff
path: root/qa/836
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/836
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/836')
-rwxr-xr-xqa/83647
1 files changed, 47 insertions, 0 deletions
diff --git a/qa/836 b/qa/836
new file mode 100755
index 0000000..caacaf5
--- /dev/null
+++ b/qa/836
@@ -0,0 +1,47 @@
+#!/bin/sh
+# PCP QA Test No. 836
+# Exercise pmdiff(1) script functionality.
+#
+# Copyright (c) 2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed -e "s,$here,PATH,g"
+}
+
+# real QA test starts here
+echo "== simple comparison, defaults"
+pmdiff -z $here/src/section-a $here/src/section-b | _filter
+echo
+
+echo "== change the comparison ratio"
+pmdiff -z -q 1.5 $here/src/section-a $here/src/section-b | _filter
+echo
+
+echo "== change the report precision"
+pmdiff -z -p 5 $here/src/section-a $here/src/section-b | _filter
+echo
+
+echo "== skip the excluded metrics report"
+pmdiff -z --skip-excluded $here/src/section-a $here/src/section-b | _filter
+echo
+
+echo "== skip the missing metrics report"
+pmdiff -z --skip-missing $here/src/section-a $here/src/section-c | _filter
+
+# success, all done
+status=0
+exit